Skip to main content
`Ctrl`+`K`

# PetscErrorMessage

Returns the text string associated with a PETSc error code.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscErrorMessage(PetscErrorCode errnum, const char *text[], const char *specific[])

Not Collective, No Fortran Support

## Input Parameter

- errnum - the error code

## Output Parameters

- text - the error message (`NULL` if not desired)

- specific - the specific error message that was set with `SETERRQ()` or `PetscError()`. (`NULL` if not desired)

## See Also

`PetscErrorCode`, `PetscPushErrorHandler()`, `PetscAttachDebuggerErrorHandler()`, `PetscError()`, `SETERRQ()`, `PetscCall()`, `PetscAbortErrorHandler()`, `PetscTraceBackErrorHandler()`

## Level

developer

## Location

src/sys/error/err.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages